## org.eclipse.amp.escape.ascape.adapt
Class AscapeProvider.Location

    java.lang.Object
      org.eclipse.amp.escape.ascape.adapt.AscapeProvider.Location

All Implemented Interfaces:
  ILocation

Enclosing class:
  AscapeProvider

     class AscapeProvider.Location

extends java.lang.Object
implements ILocation

The Class Location.

Field Summary
`(package private) int` `x`
`(package private) int` `y`

Constructor Summary
`AscapeProvider.Location(int x, int y)` Instantiates a new location.

Method Summary
`int` `getX()`
`int` `getY()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### x

    int x

### y

    int y

Constructor Detail

### AscapeProvider.Location

    public AscapeProvider.Location(int x,
                                   int y)

  Instantiates a new location.

  Parameters:
    `x` - the x
    `y` - the y

Method Detail

### getX

    public int getX()

  Specified by:
    `getX` in interface `ILocation`
  Returns:
  See Also:
    `ILocation.getX()`

### getY

    public int getY()

  Specified by:
    `getY` in interface `ILocation`
  Returns:
  See Also:
    `ILocation.getY()`

Copyright (C) 2007-2009 Metascape, LLC, 2009 Miles Parker, 2006-2007 Argonne National Labs, and Contributors